<template>
  <view class="container"></view>
</template>

<script>
export default {
  data() {
    return {};
  },
  onLoad: function (options) {
    console.log(options);
    console.log("准备跳转了哦1");
    if (options.faceType) {
      switch (options.faceType) {
        // 开户
        case "OPEN_ACCOUNT":
          my.navigateTo({
            url: `/pages/BankModule/OpenAccount/OpenAccount?faceAuth=1`,
          });
          break;
        case "CHANGE_CARD":
        // 换绑卡
          my.navigateTo({
            url: `/pages/BankModule/ChangeBankPay/ChangeBankPay?faceAuth=1`,
          });
          break;
        case 'CANCEL_ACCOUNT':
          // 销户
           my.navigateTo({
            url: `/pages/BankModule/Recharge/Recharge?faceAuth=1`,
          });
          break;
      }
    }
    //faceAuth = 1  人脸活体检测成功
    // my.navigateTo({
    //   url: `/pages/BankModule/OpenAccount/OpenAccount?faceAuth=1`,
    // });
  },
  onShow() {},
  created: function () {
    // console.log(this.$echarts);
  },
  methods: {},
  mounted: function () {},
};
</script>

<style scoped>
</style>
